#

Function STRINGP

Syntax:

stringp object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type string; otherwise, returns false.

Examples:

     (stringp "aaaaaa") =>  true
     (stringp #\a) =>  false

Affected By: None.

Exceptional Situations: None.

See Also:

typep, string (type)

Notes:

     (stringp object) ==  (typep object 'string)

Copyright 1996-2001, Xanalys Inc. All rights reserved.